What You Can Do With jambient

Make Jambient music

Jambient's main purpose is to be an instrument of sound that lets you instantly play and explore sets of sounds in real time jams. This can result in quite beautifu (usually non-metrical) ambient style music. Build up a sample libary. Open jambient and gradually layer in a set of LoopTracks, play with their volume and pitch, move them around in the 3d map, explore them with the Listener, mix them with the Mix Pad. This is a new way of making sound into music.

Set up a jambient sound environment for beats

Use jambient to build up an ambient style backdrop for other music making. The Mix Pad and 3d Map are particularly useful--you can play your turntables and quickly change jambient's mix, and sound positions using the joystick. Or set up scripts that you can trigger with a mouse click.

jambient with others

jambient is an especially good complement to other ways of music making. It can bring in sounds that fill out live instruments and turntabling. In a jam, what others are doing can provoke the discovery of new links between sounds--things that you wouldn't have thought of on your own.

Audio collage and warping through sound space

Jambient is an excellent audio collage machine. It lets you tour the sample space on your hard drive, weaving a new sonic world--warp from rattlesnakes to bees buzzing to helicopters to wind to scratching vinyl.

Sound effects for radio or theatre

Jambient is particularly good for doing live sound effects because it quickly lets you load samples and explore your libary of sounds. You can instantly pick up the sounds you want and get them playing. Use it on radio shows, or in theatre.

Jambient's 3d effect are effective in theatrical settings or for radio plays--you can make your sound effects travel around with the actors across stage.

Script interactive sound environments and sound sculptures.

With jambient scripting, you can easily set up programs that cause sounds to interact with one another--for example, you can program jambient so that if you move LoopTrack A close to B in acoustic space, then A 'runs away,' or if the Listener moves to one corner, all sounds swarm around it. Or you can program relations between pitches, set up algorithms for touring through sounds, and so on. The only limits are your imagination, programming skills, and computer resources.

Algorithmic sample based music

Jambient's scripting feature can also let you program algorithimic music based on samples--something that (it seems) often requires high powered software available only at research institutions and that runs on unsual platforms.


What is jambient?

jambient is a style of music, and the instrument--a piece of software--for making it.

A way of jamming with digital audio samples, jambient is especially suited to audio collage, non-rhythmic ambient sound making, and exploration of spontaneously improvised sound environments. jambient is a musical instrument--it is for playing sound live.

With jambient you can play samples instantly, using simple drag and drop operations; manipulate their volume, pitch and pan, either singly, or in groups; use the joystick controlled Mix Pad to mix between four sets of sound--and not just volume, but pitch and pan as well, or two of these sonic dimensions at once!; position sounds in sonic space and use the joystick to travel through them; and write scripts to automate changes, respond to events, or set up relations between sounds.

See Features and Introductory Tutorial to get an overview of jambient.

How jambient is different from other music software

Most available music making software, if not explicitly for scoring music, demands something akin to scoring: you choose patterns, melodies, instruments, rhythms, programs, presets, etc., in advance. If the software allows for improvisation, it is within these preset structures. jambient evolved from my attempt to get away from grids and advance choices to explore sound in a new way.

jambient is far more open ended than most sampling software. You can continuously evolve and layer the samples being played, and their mix. An improvising instrumentalist draws a pallet of sounds out of the acoustic possibilities of an instrument; jambient extends this gesture into sample space. The joystick and mouse become extensions of your ears and body, allowing you to dig around in sound.

Jambient also differs from DJ-software that tries to emulate turntabling. Even if such software were to make sounds that approach the subtleties of a turntable, there is no way of simulating the feel and weight of a platter under the fingers--and that is a big part of body-sound-machine that makes a turntable a musical instrument.

jambient is a new musical instrument

Rather than emulating an analog turntable in digital, jambient finds a new body-sound-machine system, by hooking you into digital samples through joystick and mouse. Turntabling turns turntables into a musical instrument, jambient turns Microsoft' s DirectX gaming platform into a instrument that lets you do things impossible with turntables or traditional sampler software.

Keep in mind that jambient is a musical instrument. You interact with it directly to play and change sound. Learning how to use it depends on that interaction--you can't learn to play it without listening to what happens, any more than you can learn to play a trumpet or turntable by reading about it. Also, in order to make jambient playable as an instrument, we had to move away from the typical Windows interface.

jambient's current incarnation is a result of over two years of playing the music and developing the software in concert. The evolution is notover. You're part of it.

Enjoy playing jambient, and please let us hear what you are doing with it.

David Morris, Peterborough, August 2000


jambient Quick Guide

This is a Quick Guide to jambient that you can print out and use as a starting point for learning jambient.

General

Drag [image] onto a control to get help.

Watch [image] for tips on what the control under the mouse cursor does. Abbreviations: clk = click; rtclk = click with secondary mouse button; drg= drag; rtdrg= drag with secondary mouse button; dblclk= double click

Cursor changes to [image] or [image] over a dialable control. Drag in + direction to increase value, - to decrease. On knobs, secondary dragging gives finer control and double clicking knobs sets them to default values

Cursor changes to [image] over controls that are samples sources. Drag from sample source and drop onto [image] to load the sample

Filling Browser Bins

Click [image] to open Browser Window, showing empty sample Bins

Click button [image] at top of sample Bin, opening Folder Explorer.

Navigate [image] and drag folders from it to Bins. This fills Bins with samples.

Clicking in a Bin or right clicking in the Folder Explorer makes the Folder Explorer go away

Drag-Loading Samples

Set Bin to [image] . Drag sample from [image] and drop on [image] to load the sample

Click-Loading Samples

Set Bin to [image] . Click on sample to load it into LoopTrack A. Bin set to >B: click-loads to LoopTrack B, etc. You can still drag-load, by dragging from the right edge of the bin.

AutoPlay and Reset on Load

Check [image] to set AutoPlay on; with AutoPlay on, click or drag loading also plays the sample.

Dropping a sample on [image] loads and plays the sample, whether AutoPlay is on or not.

By default jambient resets all values for a LoopTrack when a sample is loaded into to it (so it plays at normal pitch, full volume, etc). To keep values from reseting, uncheck Reset on Load in the options tab.

Playing

Click [image] to start playing. Click [image] to stop playing, or secondary click and hold down to pause.

Click the red light [image] to stop all playing, click the green light to play all samples

Setting Volume, Pitch and Pan

Volume, Pitch and Pan knobs are dialed by dragging the

Drag [image] in direction of - to decrease volume, in direction of + to increase. Double click to toggle from full volume to mute; secondary drag to make fine adjustments.

Use Master Volume [image] to control overall volume. If a Joystick with a throttle is attached, Master Volume is controlled by the throttle

Drag [image] in direction of - to decrease pitch , in direction of + to increase pitch. Double click to set to normal pitch; secondary drag to make fine adjustments.

Drag [image] in direction of - to pan left, in direction of + to pan right. Double click to set to normal pitch.

Fading

Secondary click [image] to switch fade. The LoopTrack fades to zero volume and then stops; LoopTracks that are at zero volume fade up; if the LoopTrack is stopped, it begins playing as it fades up.

Click in top half of [image] to snap volume to new level; click in bottom half to fade to new level. You can also do this by dragging the yellow and gold pointers in the top and bottom half.

Drag from [image] or [image] and drop the [image] on a different [image] or [image] . Source LoopTrack fades down, destination fades up.

Adjust [image] to change speed of fade.

Mixing

Click [image] and use [image] to select type of mixing (volume or pitch)

Drag [image] closer and farther from the four corner Terminals [image] to get different mixes of volume or pitch from the LoopTracks wired to the Terminals.

You can wire LoopTracks to different Terminals by dialing [image] to match the desired Terminal.

Positioning Sounds in Space

Click [image] and make sure [image] is checked

Drag [image] to position LoopTracks in the stereo image. Drag [image] to move the position of the Listener; this repositions all LoopTracks in the stereo image

Use the 3d sub-tab in the Options tab to change the way the stereo image is updated. By default the image is updated in real time as you perform both the above operations, but this can bog down slower systems

Joystick

Moving the joystick handle moves [image] and [image] . Twisting the handle on 3d joysticks rotates the Listener and when Mixing controls the Twist, which lets you mix another dimension of sound at the same time.

See Joystick sub-tab in Options for default button and axis assignments.

Saving & Preferences

Click [image] to save elements of your jam. See Saving and Opening for more.

Click on the camera [image] to save a SnapShot of your jam; click on the see a list of jams and Quickload them.

When jambient starts it looks for a file called preferences.jam in the the program directory, and loads it. You can should use this to save your preferences, e.g., how to fill the sample Bins, start with 3d Enabled, etc.

History and Copying

Drag from [image] and drop on [image] to copy a sample from one LoopTrack to another.

Drag from the [image] in one LoopTrack and drop the [image] on a control in another LoopTrack to pick up its value. Drop onto the Letter at the beginning of the LoopTrack to pick up all values in the LoopTrack.

Click on [image] to see a list of the last twenty samples you've loaded into a LoopTrack. You can also use this to reverse the sample (get it to play in reverse) or clear the LoopTrack.

You can also drag from [image] and drop onto a sample Bin or the Clipboard. This saves a copy of a LoopTrack (sample name, Volume and Pitch settings, etc.) on the Clipboard. Later you can drag LoopTracks back from the Clipboard, and you can save a Clipboard to use as a LoopTrack palette for a jam.

Further Topics for Exploration

You can also control the Volume, Pitch or Play status of sets of LoopTracks using as a group Gang or Bands . Switch Fading groups of LoopTracks let you dissolve them into one another.

You can set Volume and Pitch Patterns for LoopTracks


Tutorials

These Flash tutorials are designed to give you a quick introduction to jambient.

Introductory Tutorial

Loading Samples Tutorial

Volume Level Tutorial

Fading Tutorial

Pattern Tutorial


Tutorial: An Overview of Jambient

Next: Loading Samples Tutorial

All Tutorials


Tutorial: Loading Samples into LoopTracks

Next:Volume Level Tutorial

All Tutorials


Tutorial: Adjusting Volume Levels

Next: Fading Tutorial

All Tutorials


Tutorial: Fading & Fade Effects Using the Gang and Bands

Next:Pattern Tutorial

All Tutorials


Tutorial: Patterns

All Tutorials


Tips for Learning Jambient

Watch the status bar: When your mouse moves over the various controls in jambient, the status bar at the bottom of the screen gives an abbreviated description of what you can do with the control using the mouse. Abbreviations: clk = click; rtclk= click with secondary mouse button; drg= drag; rtdrg= drag with secondary mouse button; dblclk= double click. In general, dragging is used to dial values, load samples, copy samples, and copy values ; and dragging with the secondary button is used to cross fade.

Use help: To get help on a particular control, drag the question mark in the bottom of the window and drop it on a control.

jambient is a musical instrument, explore it by playing it: Experiment with clicking, right clicking, double clicking, dragging and right dragging from controls.

Watch for changes in the shape of the mouse cursor: A plus and minus sign appear when the mouse is over controls that can be dialed ; drag in the + direction to increase the value, in the - direction to decrease. A little wave icon appears next to the cursor when the control is a wave file source that can be used for drag and drop operations that load or copy samples ).

Get a sense of what you can do with jambient: See the Quick Guide. jambient has many features and cool mouse operations that let you use jambient for many different purposes .

Learn how to use the joystick: jambient has a joystick controlled Mix Pad and a Sonic Space that you can move through using the joystick.

See the Flash Tutorials


Features

Instantly load up to sixteen samples into LoopTracks (How to...) Samples and LoopTracks are the basic objects in jambient.

Manipulate the volume, pitch or pan of a LoopTrack. (How to...)

Manipulate sets and bands of LoopTracks. (How to...)

Pattern the volume, pitch and pan of a LoopTrack over time. (How to...)

Wire LoopTracks to the Mix Pad through four different wires. Move the joystick handle to mix the volume, pitch or pan of the signals on the four wires, plus twist the handle to mix in another sonic dimension at the same time--a joystick controlled hypercross fader. (How to... ) (Note that joystick mixing still works when you are using another application, so you can mix jambient while using another application.)

Position sounds in sonic space, and tour them using the joystick, moving sounds around from speaker to speaker. (How to...)

Save various components of your jam and load them back into your jam in realtime. For example, just save a set of pitch or volume relations and drop them in on top of different sets of samples. (How to...)

Write jambient scripts to automate changes, respond to interface events, or set up relations between LoopTracks. (How to...)

Also see Cool Operations for mouse operations that quickly achieve fades, cross fades and copies.


Cool Operations

The following operations allow you to quickly manipulate LoopTracks using drags and clicks.

[graphics]

Fades and Cross Fades

Right click on a Volume Slider or LoopTrack Position in the 3d Map to 'switch fade' a LoopTrack.

Right click on the Gang or the master LoopTrack of a Block Band to fade out all playing sounds and fade up all muted sounds.

Right drag from one LoopTrack Letter or Position and drop on another to cross fade from the source to the target (fade out the source while fading in the target).

Right drag from one band to another to cross fade between bands.

Flash Tutorial on Fading

Copying, Clipboard, History, Reversing Samples

Drag from the copier button and drop onto another LoopTrack to copy a sample from one LoopTrack to one another.

Drag from the copier and drop on a Sample Bin or the Clipboard to copy a LoopTrack to the Clipboard. Drag from the Clipboard to reload a sample, together with its LoopTrack settings.

Click on the LoopTrack Popup to see the LoopTrack Palette. This lists a history of the samples you loaded into the LoopTrack and lets you reverse the LoopTrack so that its sample plays backwards.

Dropper

Drag the Dropper from a LoopLetter to copy values from one LoopTrack to another.

You can also use the Dropper to quickly set the Destination of a Sample Bin.

Thin your mix

Set jambient to let a maximum of N LoopTracks play at once. That way you can keep on layering in LoopTracks without making your mix too dense.


Using jambient With Other Programs

Try using jambient with other audio programs.

You can build jambient jams while using Virtual Turntables or another turntable simulator to play back MP3 files.

Use the minimize toggle to shrink jambient and float it over top of other programs.

You can set up a very interesting system using Virtual Audio Cable (www.ntonyx.com). This audio driver lets you feed the output of jambient into the input of another program.

For example, you could feed jambient into Cubase VST (this works with the demo version too) or Cubase WaveLab, and apply VST effects such as echoes, grungelizers, etc. to your jams. Or you can get Analog Box, which is an amazing, tiny and fast modular synthesizer that supports VST plugins, and use this to process jambient through Virtual Audio Cables.

You can also use Virtual Audio Cable to record your jambient performances--output jambient to a Virtual Cable, and use the cable as the input to a recording program.


Installation

If your jambient package came as a zip file or self-extracting zip, unpack it to a temporary directory. Otherwise, make sure all the files are in one temporary directory.

Open the temporary directory and run setup.exe. If you haven’t previously used Microsoft’s more recent installer package, you may get a message saying your computer needs to be restarted. Make sure you remove all floppies from drives, and restart. Then make sure to run setup again to complete the installation.

If you run into problems running scripts, ensure that you have the latest version of Microsoft’s Scripting Engine from msdn.microsoft.com/scripting. Also make sure that your help viewer is up to date by running Hhupd.exe, which is installed in the \Help directory.

To install an update, just unpack jambient.exe to your jambient program directory (usually C:\Program Files\jambient).


Requirements & Configuration issues

Also see: Improving Performance

Turn Up the Volume!

Make sure the master volume and wave device volume are turned up to reasonable levels. (Set these using your computer's sound mixer application, typically accessible by double clicking the speaker icon in the taskbar.) Also make sure your speakers are on.

If you aren't getting any sound out of jambient, make sure the throttle on your joystick is on full (this controls master volume ), and that the Mix Pad is centred.

If you are not using your CD player to play audio, it is a good idea to mute the CD device--the line going from the CD to your sound card can pick up a lot of noise.

Selecting and Configure Your Output Device

Jambient supports use of multiple sound cards: if you have more than one sound card or device on your computer, you can choose the one to send output to. Jambient also supports the Virtual Audio Cable (www.ntonyx.com ), which lets you send the output of jambient into the input of another audio program, for example, one that adds sound effects to incoming sound. For proper use of 3d sound, you need to tell Windows about your speaker configuration, see Implementation and Configuration of 3d Sound.

Requirements:

Mouse: A mouse is necessary. Jambient makes heavy use of the second button, so two or more buttons are highly recommended. I find it easier to use a traditional mouse (where you move the whole mouse with your hand), rather than a trackball or pad (where the mouse stays in place and you move your finger or hand over the mouse). A traditional mouse lets you get more of your arm into the music, and mouse clicks tend to be easier, since your fingers are devoted solely to clicking, rather than moving a track ball.

Joystick: A joystick is not necessary to play jambient, but it makes all the difference. A 3d joystick--one that lets you twist the handle while moving in X and Y directions is recommended, since this lets you vary three dimensions of sound at once. A throttle will let you control master volume. The more buttons the merrier. A USB device is better than a joystick port device but not necessary. Recommended: Logitech Wingman Extreme Digital 3d.

Display: jambient gets a lot of control surface onto the screen by using detailed graphics and colour coding. You need at least 800x600 resolution to see all of the main screen, and it looks best at 1024x768 resolution. Although jambient can be used in 256 colour mode, it really should be used with 16 bit colour or better.

OS: Jambient requires Microsoft's DirectX 7.0a or above (get it from their website, it's free) and Windows 95 or 98 or above.

System memory: jambient will work with 16 meg ram, but 32 is much better. The more memory, the more sounds you can load. For performance reasons, jambient does not stream samples from the hard drive, but loads them into memory.

Soundcard: How much the processor speed affects performance depends on how much of DirectX processing is done by the sound card hardware, and this depends on the sound card and its driver. Get the latest DirectX compatible drivers for your sound card. If you are serious about jambient, get a higher end multimedia sound card, such as a Sound Blaster Live! Value card, or a professional sound card. Generic sound cards, such as those based on ESS chips don't work as well. Note: for proper rendering of sound in 3d, it is important to tell Windows what speaker configuration you are using. See Implementation and Configuration of 3d Sound.

Processor: jambient will work on a 133 hz Pentium, but will of course be much faster on faster machines.

Drive speed: loading samples from slow CD-ROMs, etc., will lead to noticeable performance hits. Put your samples on a fast hard drive, if you have space.


Help & Mouse Operations

In jambient windows there is a status bar at the bottom that tells you a little about what a control can do and how to use it; just move your mouse over a control and watch the status bar. The information in the status bar uses the abbreviations specified below for mouse operations.

In the bottom right hand corner of the status bar there is a question mark. Click on this and drag to a control to get help on that control, or let go to cancel this mode. To get help on the Options tab, click on the question mark in its upper right hand corner.

Mouse Operations & Conventions for Documenting Them

Jambient using the following mouse operations and abbreviations for them:

Click (clk): press and release the primary mouse button

Double click (dblclk): press and release the primary mouse button twice in quick succession

Right click (rtclk): press and release the secondary mouse button

Drag (drg): press the primary mouse button, move it to another control, dragging something with it, and then release. In the case of knobs and similar controls, move the mouse up and down while holding the mouse button, to adjust the setting on a knob (this is called Dialing).

Right Drag (rtdrg): drag using the secondary button. On knobs this is used to make fine adjustments. When dragging, the control that you start from is called the source; the control that you drop on is called the target or destingation.

IMPORTANT Left hand and right handed mice: If your mouse is set up for right handed use, then the primary mouse button is on the left, and the secondary mouse button is on the right. That is, you "right click" with the right button. If your mouse is set up for left handed use, then the buttons are reversed: you "right click" with the left button on the mouse. You may want to set up your mouse for left handed use if you are using a joystick, since most joysticks do not work well as left handed devices.


FAQ

I get an error when I try to load a wave file. What should I do?

Make sure the wave file uses PCM encoding. You can check using the properties page of the wave file (right click in Windows Explorer). PCM is the only format that DirectSound can handle. If the wave file uses another form of encoding, convert it using a wave editor or sound file conversion program such as Awave. If your file is in PCM, try loading it into an editor and saving again. Sometimes the header can be become corrupted, and resaving can fix this problem.

Every time I load a sample, jambient sets its volume to full blast. How can I stop this?

Make sure "Reset on Load" is unchecked in the Options tab.

How can I get jambient to remember by audio device, mouse settings, etc.

Save a preferences.jam file.

Does Jambient support DirectX 8?

Jambient is compatible with Windows 95 and 98 systems running DirectX 8 as well as DirectX 7. The good news is that we plan a version that will allow you to take advantage of DirectX 8. Planned features include: more precise timing, audio effects, 4 channel audio, streaming of sound files (lets you play bigger samples), MP3 compatibility. Watch the site for announcements; we will be taking applications for beta testers once our first pay and register version is released - probably in March.

I start jambient and it says that DX7VB.DLL is missing. What should I do?

You need to install DirectX. Download it from www.microsoft.directx

What sample formats does jambient support?

jambient can read wave files encoded in PCM format. It supports stereo or mono samples, at any of the standard sample rates and bits per sample settings. If you are planning to make heavy use of your samples with jambient's 3d spatialization feature, you should convert them to mono to improve performance, since DirectSound needs to convert stereo samples back to mono before rendering them in 3d.

Is there a version for Macintosh?

Not at the moment. As of this writing [Nov, 2000], our main concern is getting Jambient out on Windows. We appreciate that a lot of people in music and experimental sound are Mac oriented, and we plan to address this need. But at the moment, our priority is getting the word out to Windows users.


Registering Jambient

Registering jambient costs only $50 US, and entitles you to a license for this and all subsequent versions of jambient. To register, purchase jambient from RegNow. You will be sent a license name and license code by email. (You can also order by phone.) To enter your name and code, run the "Register jambient" shortcut in your jambient directory (or run jambient.exe with the REGISTER command line), and enter the name and code into the name and key fields.


Loading Samples into LoopTracks

Flash Tutorial on Loading Samples

Basic Idea

If the Browser window is not open, click on the Browser Button .

Click the Folder Button to open the Explorer Window.

Drag a folder from the Explorer Window to a Sample Bin to fill the Sample Bin with a list of the samples in the chosen folder. (Note: sample bins also list Windows short cuts to samples.)

Drag samples on to Loop Tracks--this works if the Destination Drop Down is >:Drag Drop.

Click samples to load them to the Destination LoopTrack--this works if the Destination Drop Down is >:A, >B:, etc. or >:Gang.

Drag-Loading

Set the Destination Drop Down to >:Drag Drop. Drag samples from Sample Bins to LoopTracks to load them.

If you drop on to a regular LoopTrack, the sample is loaded into that LoopTrack. Dropping onto the Gang loads the sample into all LoopTracks controlled by the Gang. Dropping onto the master LoopTrack in a Block Band loads the sample into the whole Band. The cursor shows a wave to indicate you are dragging a sample.

Click-Loading

Set the Destination Drop Down to the letter of the desired destination LoopTrack, e.g., >A: to load the sample into LoopTrack A. The click on the sample and it will be loaded into the destination LoopTrack.

You can still drag-load a sample if you want--start your drag from the right edge of the Sample Bin, just inside the scroll bar. The cursor will display a wave to indicate that you can drag from this location.

You can also use the Dropper to quickly set the Destination of a Sample Bin -- drag from a LoopTrack's Letter and drop the dropper onto a sample bin, to set the destination of the bin to the LoopTrack.

Loading a Sample into Multiple LoopTracks

Dropping a sample on the Gang, or click-loading it into the Gang, loads the sample into all LoopTracks controlled by the Gang .

Dropping a sample onto the master LoopTrack in a Block Band , or clicking-loading into it loads the sample into the whole Band.

Auto Playing and Reset on Load:

If Auto Play is checked, the LoopTrack will start playing as soon as the sample is loaded into it.

If Auto Play is not checked, you can drop the sample onto the Play Button to get it to play as soon as it loads.

If Reset on Load is checked in the Options tab, then all LoopTrack values are reset to their defaults when a sample is loaded.


Things to do with LoopTracks--a Short Guide

[Graphic --with links to entries for each control]

Flash Tutorial Introducing Jambient

Load samples: Use the Browser to load samples into LoopTracks.

Play : Stop, start and pause the LoopTrack using the Play button.

Volume, Pitch, Pan : Dial the Volume, Pitch and Pan Knobs to adjust these playback values. Drag from the LoopTrack's letter to copy values using the dropper.

Fading /Cross Fading: Click or drag along the top of the Volume Slider to change the LoopTrack's volume; click or drag along the bottom to fade it up or down. Right click on the Volume Slider to 'switch fade' the LoopTrack. Right drag from the LoopTrack's letter to cross fade from one LoopTrack into another. Or right drag from one band to another.

Play Mode : Use the Play Mode dial to set the LoopTrack to play once, play in a continuous loop, or Step or Drum through Patterns.

Patterns: Open the Pattern tab. Click at the end of the LoopTrack to thumb the LoopTrack and open its Pattern. Shortcut: double click at the end of the LoopTrack.

Position in Sonic Space: Open the 3d Map tab. Click at the end of the LoopTrack to thumb the LoopTrack and pop its position to the top. Drag the LoopTrack's Position to move it around in acoustic space. (This only works if 3d is enabled.)

Wire and use the Mix Pad : Use the Wire control to wire the LoopTrack's signal to a corner Terminal of the Mix Pad, and then mix LoopTracks together using the Mix Pad.

Copy: Right drag from the LoopTrack Popup and drop onto another LoopTrack to copy samples between LoopTracks. Drop on the Play Button to automatically play the LoopTrack. Or click on the LoopTrack Popup to drag samples from the Palette.

Clear: Click on the LoopTrack Popup, then click on the <Clear> option in the Palette.

Reverse: Click on the LoopTrack Popup, then click on the <Reverse> option in the Palette.


Fading

Flash Tutorial on Fading and Fade Effects Using the Gang and Bands

Basic Idea

jambient lets you fade LoopTracks up or down, or switch fade them, using simple mouse clicks. It also lets you Cross Fade LoopTracks or sets of LoopTracks into one another.

Simple Fades

To fade a LoopTrack up or down, set a fade value using the bottom pointer on the Volume Slider. The LoopTrack fades up or down until it reaches that value.

To switch fade, right click on the Volume Slider , or Loop Position. Switch fading fades up a LoopTrack if its initial volume is zero, and fades it down to zero if its initial volume is above zero. Switch fading also automatically plays and stops LoopTracks (LoopTracks stop when they fade to zero volume, and start playing when you fade them up).

Change fade speed using the Fade Speed Slider.

Fade Effects with the Gang

Powerful fade effects can be achieved using the Gang, since fades in the Gang are transmitted to all LoopTracks controlled by the Gang.

Fade a set of LoopTracks to one level: If you set a fade value with the bottom pointer on the Volume Slider, all LoopTracks controlled by the Gang will fade up or down to that value.

Fade from one set of LoopTracks to another: If you right click on the Gang's Volume Slider, each LoopTrack controlled by the Gang will switch fade--LoopTracks that are playing will fade down, LoopTracks that are off will fade up. The result is a switch in the LoopTracks that are playing.

Fade Effects with Block Bands

Similar fade effects can be achieved in Block Bands, since changes to the master LoopTrack in a blocked Band are transmitted to all LoopTracks in the Band. So you can use the master LoopTrack to fade all LoopTracks in a Band to one level, or to switch fade all loops in the band.


Cross Fading LoopTracks

Flash Tutorial on Fading and Fade Effects Using the Gang and Bands

Basic Idea

jambient lets you use simple drag operations to cross fade LoopTracks into one another, that is, simultaneously fade a LoopTrack down, while fading up another LoopTrack. You can also do simple fades.

Cross Fading Individual LoopTracks

Rightdrag from a LoopTrack Letter to initiate a cross fade. The cursor turns into a purple X to indicate you are doing a cross fade drag. Drop anywhere on another LoopTrack. The source of the drag fades down, the target of the drop fades up.

You can also perform this operation using the LoopTrack Positions in the 3d Map --right drag from one position to another.

Cross Fading Sets of LoopTracks

Use the Gang's Letter as the source or target of right drags to cross fade from or to the LoopTracks controlled by the Gang.

Use the Letter of the master LoopTrack in a Blocked Band as the source or target of right drags to cross fade from or to the LoopTracks in the Band.

You can also right drag from or to the space below Band dividers to cross fade from or to all LoopTracks in a Band. The Band can be either a Wedge or a Block band.


Using the Gang to Control Sets of LoopTracks

Basic Idea

The Gang is a special LoopTrack that has no sample, just controls. It is used to control other LoopTracks. You can also control sets of LoopTracks with Bands.

Using the Gang

The Gang transmits any changes made to its controls to all the LoopTracks controlled by the Gang.

If you stop, start, or pause the Gang, all LoopTracks controlled by it will stop, start or pause.

As you dial the Volume, Pitch or Pan Knob of the Gang, the knobs in the LoopTracks controlled by the Gang follow. Think of these knobs as being ganged together.

Powerful Fading effects can be achieved using the Volume Slider in the Gang.

Whenever you copy or load a sample into the Gang, it is loaded or copied into all LoopTracks controlled by the Gang.

If you use Dropper in the Gang, then any values it picks up are transmitted to all gang controlled LoopTracks.

Changing What the Gang Controls

The Gang Controller determines which LoopTracks are controlled by the Gang.

Click on tabs in the Gang Controller to flip them up and down. Double Click on a tab to flip that tab down, and all the others up.

If the black tab is flipped down, then the Gang controls all the selected loops. (See Selecting LoopTracks for more.)

If a coloured tab is flipped down, then the Gang controls the Band of the corresponding colour.

The Gang can control any combination of selected loop tracks and bands.


Using Bands to Control LoopTracks

Basic Idea

jambient lets you turn adjacent LoopTracks into Bands that can be controlled as a set. You can define up to six Bands. Bands are identified by colour. (You can also control sets of LoopTracks using the Gang.)

Defining Bands

Bands are defined by Band dividers, which indicate where a Band stops, and where the next one starts. A Band contains all the LoopTracks just below its divider, up to the next divider below (the last band always ends with the last LoopTrack). The red Band's divider cannot be moved.

To adjust bands or add more Bands, drag the coloured handles of the Band dividers up and down.

Wedge Bands vs Block Bands

Double click on the coloured handle to toggle it from a Wedged Band to a Block Band.

Wedge Bands simply mark sets of LoopTracks so that you can manipulate them as a set using the Gang. For example, you could use the Gang to control all the LoopTracks in the green Band.

Block Bands let you manipulate a set of loops as a block, using the LoopTrack controls of the first LoopTrack in the Band. This LoopTrack acts as a master control for the rest of the LoopTracks in the Block.

Using the Master LoopTrack to Control a Block

The master LoopTrack in a Block Band transmits any changes made to its controls to all the LoopTracks in the Band.

If you stop, start, or pause the master LoopTrack, all LoopTracks in the Band will stop, start or pause.

As you dial the Volume, Pitch or Pan Knob of the master LoopTrack, the knobs in the LoopTracks in the Gang follow. Think of these knobs as moving en bloc.

Powerful Fading and Copy Effects

Powerful Fading effects can be achieved using the Volume Slider in the master LoopTrack, and you can Cross Fade them into one another.

Whenever you copy or load a sample into the master LoopTrack, it is loaded or copied into all LoopTracks in the Band. If you use Dropper in the master LoopTrack, then any values it picks up are transmitted to all LoopTracks in the Band.


Copier, Popup and Palette

Copying : Drag from the copier button and drop on another LoopTrack to copy the sample from the source to the destination. The cursor shows a wave to indicate you are dragging a sample.

Copy to Clipboard: Drag from the plus sign and drop into a Sample Bin or the Clipboard in the Browser window. All the information about the LoopTrack is stored in the Clipboard, not just the name of the sample (as with History Lists, see below). Drag from the Gang to store all LoopTracks in the Clipboard. Drag LoopTracks back from the Clipboard to the main LoopTrack Panel to go back to stored LoopTracks

Click on the LoopTrack Popup triangle to show the Palette, which contains the following:

History List: Below <Reverse LoopTrack> there is a list of the names of the last twenty samples loaded into the LoopTrack. Drag these onto LoopTracks to reload samples used earlier in a jam. The cursor shows a wave to indicate you are dragging a sample.The Palette in the Gang records the history of all samples used in the jam.

*Note: dropping on the Gang copies the sample to all LoopTracks controlled by the Gang. Dropping on a master LoopTrack in a blocked Band copies the sample to all LoopTracks in the Band. Dropping on the Play Button automatically plays the target LoopTrack(s).

Click on <Empty LoopTrack> to clear the track of its content.

Click on <Reverse LoopTrack> to reverse the sample. The sample is rewritten in memory in reverse order, so the sound plays backwards. This does not effect the file that the sample was loaded from.

Click on <Close> to close the Palette.

Also see: Doing Things with LoopTracks and Loading Samples


Dropper

Dropper:

The Dropper lets you copy values between LoopTracks. Drag from a LoopTrack's Letter to turn the cursor into the Dropper, then drop on the control whose value you want to copy. The value at the target is copied into the drag source.

You can use the Dropper to pick up Volume, Pitch, Pan or Play Mode. If you drop on a LoopTrack's Letter, all four of these values are copied.

Note that using the dropper in the Gang copies values to all LoopTracks controlled by the Gang. Similarly, using the dropper in a master LoopTrack in a blocked Band copies values to all LoopTracks in the Band.

You can also use the Dropper to quickly set the Destination of a Sample Bin -- drag from a LoopTrack's Letter and drop onto a sample bin, to set the destination to the LoopTrack.


Mix Pad

Basic Idea

The Mix Pad lets you mix signals Wired to the four corner terminals of the Mix Pad.

As the Mix Blender moves closer or farther from the corner Terminals, the volume of the signals Wired into the Terminals from the LoopTracks increases or decreases. You can also mix Pitch or Pan . At the same time, the Twist lets you mix in another sonic dimension.

See the Introductory Tutorial for a Flash demonstration of Mixing with a joystick.

Mixing on the Pad

The precise mix is determined by the location of the Mix Blender--as you move it toward a terminal you get more volume on the signal coming through that terminal (or lower pitch, or more left pan, depending on what you are mixing). At the same time, the opposite effect happens to the volume, pitch or pan of the signals on terminals that you are moving away from. (With default settings, there also regions around terminals where signals are unchanged.)

That's the basic concept. It's an extension of a two channel cross fader, but it does stuff impossible with cross faders--mixing four signals in volume, pitch or pan and combining this with the Twist . Try it by loading four distinctive samples, and wiring them to different corners. Then drag the Mix Blender around, or move the joystick handle if you have one.

The status bar shows the volume, pitch or pan modifications to be applied to each of the four signals.

Mix Pad Edges and Diagonals, and DJ's Cross Faders

Moving the Mix Blender along an edge of the Mix Pad is like using a DJ's two signal cross fader to mix the signals from the terminals at the ends of the edge.

Moving the Mix Blender along a diagonal, say from white-black to black, is like using a DJ's two signal cross fader to mix the signals from the terminals at the ends of the diagonal--but you also get some signal from the other two terminals.

Choosing the Sonic Dimension to be Mixed

Use the Pad Type dropdown to select whether you are mixing volume, pitch or pan. There are two options for pitch: 300 Pitch or 400 Pitch which respectively mix from 1-300% or 1-400% Pitch. The colour and background of the pad changes so that you can easily tell what dimension you are mixing. (Blue for volume, grey for pan, orange for 300 pitch, yellow for 400 pitch.)

The Centre Position

The centre of the Mix Pad is a neutral position that leaves the volume, pitch or pan of all signals unchanged. Double click on the Mix Blender to jump to the middle, or click on joystick button three. (Note If you change the Mixing Curve, the centre might not be neutral.)

Using the Joystick to Control the Mix Pad

(The following assumes default button and axis assignments, which can be changed in the Options tab.)

The joystick handle moves the Mix Blender around the Mix Pad. Joystick motion is either relative or absolute. If relative, the Mix Blender moves in the direction and amount of your joystick movements, and stays there when the joystick moves back to centre. If absolute, each position of the handle corresponds to a Blender position on the Mix Pad, and when the joystick moves back to centre, so does the Blender. You can get quite different effects with each kind of movement. Use the check box at the bottom of the tab to select relative or absolute movement. By default, joystick button six toggles this check box.

By default, joystick button three centres the Mix Blender.

The point of view hat (12 o'clock to 9 o'clock) on the joystick is used to flip through Pad Types, or to flip between the Pad and 3d Map tabs (11 o'clock).

To change the sensitivity of the joystick, or change button or axis assignments, use the Options tab.

(Note that joystick mixing still works when you are using another application, so you can mix jambient while using another application.)

..and there's a Twist

The Twist is a flattened, one dimensional version of the pad, controlled by twisting the joystick handle. By moving the joystick handle and twisting, you can mix in two sonic dimensions at once.

Choosing Mixing Curves

Mixing curves are the most complicated concept in jambient, so we leave them to another topic. Basically, they effect the way distance from terminals maps onto volume, pitch or pan.


3d Map

Basic Idea

The 3d Map lets you position your LoopTracks in sonic space. For the 3d Map to have any effect, 3d Mode must be enabled using the Enable 3d checkbox. (For technical reasons, changing this setting causes jambient to stop and reload all your LoopTracks.)

Note: Panning is disabled if 3d Mode is enabled.

How the 3d Map Works

The principle of the 3d Map is very simple. It represents the position of each of your LoopTracks, and of someone who is listening to the LoopTracks.

As a LoopTrack moves away from the listener, or vice versa, the sound of the LoopTrack becomes fainter. As the LoopTrack moves to the left of the listener, more and more of its signal is sent through the left stereo channel, etc. So you can change where sounds seem to be coming from by moving either a LoopTrack Position, or the Listener.

Actually, the process of translating the 3d Map into sound is a bit more complicated. See Implementation and Configuration of 3d Sound. If you are planning to make heavy use of your samples with jambient's 3d feature, you should convert them to mono to improve performance, since DirectSound needs to convert stereo samples back to mono before rendering them in 3d.

LoopTrack Positions

Each LoopTrack has a position in the map, called a LoopTrack Position, represented by a square containing the LoopTrack's letter. Drag the LoopTrack Position to move the LoopTrack in sonic space. Depending on how you set 3d options , you will hear the change when you release the mouse button, or while you are moving it.

You can also fade loops in and out by right clicking on their LoopTrack Position, or cross fade them into one another by right dragging from one to another. See Fading LoopTracks and Cross Fading LoopTracks for more.

The Listener

Drag the Listener to move it. Depending on how you set 3d options , you will hear the change when you release the mouse button, or while you are moving the Listener.

Right dial on the Listener to rotate it in the sonic space. Depending on how you set 3d options , you will hear the change when you release the mouse button, or while you are rotating the Listener.

You can also use the joystick to move and rotate the Listener, see below.

Thumbing LoopTrack Positions or the Listener

When LoopTracks are in the same position, their position markers are on top of one another, and the ones behind cannot be seen. Thumbing a LoopTrack pops its Position marker to the front, and changes its colour so that you can spot it easily. (This also happens when you manipulate a LoopTrack.) To Thumb a LoopTrack, click to the right of a LoopTrack's Wire. To thumb the Listener to the top, click on the word Listener just below the map.

Centring and other Positioning Functions

To centre a LoopTrack Position or the Listener, double click on it. To centre all LoopTracks and the Listener, click on the Centre All button.

Beside the Centre All button is a dropdown that lets you make all LoopTracks jump to a random position, or move around at a preset time interval. Try these out. You can also write scripts that move Positions around--ExamplScript.jms includes code for making LoopTracks move to mirror positions, or to move them together as a band.

Using the Joystick in the 3d Map

(The following assumes default button and axis assignments, which can be changed in the Options tab.)

Moving the joystick handle moves the Listener. Joystick motion is either relative or absolute. If relative, the Listener moves in the direction and amount of your joystick movements, and stays there when the joystick moves back to centre. If absolute, each position of the handle corresponds to a position in the Map, and when the joystick moves back to centre, so does the Listener. You can get quite different effects with each kind of movement. Use the check box at the bottom of the tab to select relative or absolute movement. By default, joystick button six toggles this check box.

The Twist also appears below the 3d Map. By depressing the trigger and twisting the joystick handle, you can use the twist to mix the volume or pitch of your LoopTracks while you are moving the listener. In the 3d Map you can also use the Twist to rotate the listener --click joystick button five until the Twist is the same colour as the map. See the Twist for more.

(Note that joystick movement still works when you are using another application, so you can move in sonic space while using another application.)

Map Size and RollOff

Use the Map Size slider to zoom in and out on the map. If you zoom in, some of the Positions may move off of the visible portion of the Map. You can show them again by zooming out, or by clicking Centre All. As you move the slider, the size is displayed in the status bar.

Use the RollOff slider to set RollOff, which is a factor used by Microsoft's DirectSound to calculate 3d position. RollOff determines how quickly the volume of a sound 'rolls off'--attenuates--as you move away from it. The default value, 1, simulates the roll off of sound in normal real world situations. Increase the value to make sounds roll off more rapidly, which accentuates distances on the 3d Map, and vice versa. To set roll off back to 1, right click on the slider.


Patterns

Flash Tutorial on using Patterns

Basic Idea

jambient's Pattern feature gives you control over volume, pitch and pan to the hundredth of a second, and lets you set different length Patterns for each LoopTrack. This gives you micro- and poly- rhythmic control over your jam. Draw Volume, Pitch and Pan curves by dragging the mouse, dial timing values to control the rhythm of the pattern.

Using Patterns

Patterns are series of values applied to LoopTracks over steps in time. Each LoopTrack has volume, pitch and pan patterns (displayed in the top portion of the pattern tab), together with timing factors that determine how long steps are (displayed in the bottom portion of the pattern tab).

The pattern tab displays the patterns of the thumbed LoopTrack (the one with the triangle at the end of it). When the pattern tab is open, clicking to the right of a LoopTrack's Wire thumbs the LoopTrack and opens its pattern. Double clicking forces the pattern tab open and thumbs the LoopTrack--this is a quick way to open a LoopTrack's Pattern.

In Step mode, the sample plays in a continuous loop, and jambient applies the Pattern values at each step. In Drum mode, jambient applies the values in Patterns and restarts the sample , so movement from step to step also determines a playback rhythm. When you play a LoopTrack in Step or Drum mode, the step indicator at the top of the pattern tab moves across the tab to indicate the step that is being played.

Use volume patterns to vary volume over time, or to set up drum like rhythms by turning off the volume during certain steps.

Use pitch patterns to set up melodic or harmonic patterns, or to speed up and slow down LoopTracks.

Use pan patterns to move LoopTracks back and forth in the acoustic image.

Note: Patterns do not change the values on the LoopTrack knobs, they modify the signal of the LoopTrack. For example, a step value of 250 (half of full volume) in the volume pattern lowers the signal output by a LoopTrack by half during that step, a pitch value of 200% doubles the pitch of a LoopTrack during that step.

Setting Patterns

The volume, pitch and pan patterns are displayed in order down the tab. The volume pattern is blue, pitch is orange and pan is grey.

Patterns are displayed as bar graphs, with each step having its own bar (the first bar is for a randomizing factor). Drag over the pattern to set the values for each step--you can draw curves and lines through the pattern.

The first bar in the pattern sets a random factor to be added at each step. For example, if you set the random factor for a pitch pattern to 50%, then at each step jambient generates a random value between 0 and 50%, and adds it to the value for the current step. If each of the steps in the pitch pattern is at the default value of 100%, then the effect is to randomly vary the pitch between 100% and 150% at each step.

To change the number of steps, dial up and down on the Steps indicator. You can have 1 to 32 steps in a pattern. The volume, pitch and pan patterns for a given LoopTrack all have the same number of steps.

Resetting Patterns

To set a pattern back to its default value, drag the eraser icon and drop it on the pattern. The default value at each step leaves the signal unchanged--full volume, 100% pitch, 0 pan. The random factor is also set back to 0.

Setting Pattern Timing

jambient lets you specify step timing to the hundredth of a second, giving you micro-rhythmic control.

The interface for setting timing factors is designed to facilitate this precision. Each timing factor is displayed as a series of decimal digits. Dial up and down to increase or decrease a digit's value. Changes to a digit spill over into adjacent digits, so you can make very small changes to a timing factor by dialing up and down in the hundredths column, or big changes by dialing in the tens column. .

Step Duration determines how long a step plays for. The readout beside this factor displays step duration as a percentage of the length of the sample; e.g., 50% means that the duration of the step is half the length of the sample (at normal playback speed). Double clicking on the readout sets the step duration to 100%, i.e., to the length of the sample (this is the default value). If step duration is shorter than the sample, then playback of the sample is cut off before the end. If step duration is longer than the sample, then the LoopTrack goes silent past the end of the sample.

Sample Start applies in Drum mode only. In Drum mode, at each step jambient restarts the sample. Sample start specifies where, in seconds, jambient begins playing the sample. The readout beside this factor displays this value as a percentage of the length of the sample. If 0%, then the sample is played back from the beginning, if 50% then it is played from the midway point. Double click the readout to set sample to start to 0, i.e., to play from the beginning of the sample. (Note: this factor is reset to 0 whenever a sample is loaded into a LoopTrack, regardless of the Reset on Load setting--this is to establish a consistent way of preventing jambient from trying to play beyond the end of a sample.)

Swing determines a random factor that swings the step duration. In Step and Drum mode, every few microseconds jambient checks to see if a step has played for its duration. If the swing factor is unequal to 0, then when jambient makes this check, it adds a random value from -swing to +swing to the actual time a step has been playing, and if this value is greater than the step duration, then it moves to the next step. The readout beside the swing value displays the swing as a percentage of step duration. Double clicking on the readout sets the swing to 0.

You can also set the Thumbed LoopTrack's Play Mode using the dial below the timing factors. This works in the same way as the Play Mode dial in the main LoopTrack Panel.

Copying Patterns and Pattern Timing Factors between LoopTracks

To copy a pattern (volume, pitch or pan) from the LoopTrack that is being displayed to another LoopTrack, right drag from anywhere in the pattern, and drop onto a LoopTrack in the LoopTrack Panel. The pattern (and number of steps) is copied to the target LoopTrack.

To copy all three patterns, drag from the word "Patterns," or anywhere on the frame around the patterns, and drop onto a LoopTrack in the LoopTrack Panel. All three patterns (and the number of steps) are copied to the target LoopTrack.

To copy a step timing factor, drag from the label of the timing factor and drop onto a LoopTrack in the LoopTrack Panel . The factor is copied to the target LoopTrack.

To copy all step timing factors, drag from the word "Timing," or anywhere on frame around the timing factors, and drop onto a LoopTrack in the LoopTrack Panel. All the timing factors are copied to the target LoopTrack.

To copy all patterns and all step timing factors, drag from the word "Ptrn" on the tab part of the pattern tab, and and drop onto a LoopTrack in the LoopTrack Panel. All the timing factors and patterns are copied to the target LoopTrack.

Note: On all copy operations, dropping onto the Gang copies into all Gang controlled LoopTracks; dropping onto the master LoopTrack of a Blocked Band copies into all LoopTracks in the Band.


Thinning Your Mix

The red dot in the play button of LoopTracks A and B indicates they are Unthinnable; C and D are Thinnable

Basic Idea

Sometimes you have too many LoopTracks playing and you want to quickly thin them down--or set up a situation where you will never play too many at once. This what the Thinner is for.

The number displayed on the Thinner Dial is the maximum number of LoopTracks that can play at once.

For example: If you have 16 LoopTracks playing, and set the Thinner to 8, 8 of your LoopTracks will stop playing. As you play new ones, others will stop so that a maximum of 8 are playing at any time.

If you set the Thinner to 16, then it has no effect.

Thinnable and Unthinnable LoopTracks

You can make a LoopTrack unthinnable by double clicking on its letter. Double click again to make it thinnable. When thinning, jambient will not stop unthinnable loops.

If the Play Button has a red dot in its centre, then the LoopTrack is unthinnable.

How does jambient Thin LoopTracks?

Each time you play a LoopTrack, jambient it adds it to a stack of playing LoopTracks. When it needs to stop a LoopTrack to thin the mix, it pulls out the LoopTrack at the bottom of the stack, and if it is thinnable, stops it. It keeps on doing this till the mix is thinned down to the right level.

In another words, the loops that you started most recently are the last ones to be stopped when jambient thins a mix.


Joystick

Introductory Flash Tutorial Showing How to Use Joystick

jambient uses the joystick to mix sounds or move the Listener around in sonic space. It takes full advantage of all buttons, and of the twist functionality of 3d joysticks. Note that the joystick still works when you are using another application.

For details of how the joystick works, see the Mix Pad and 3d Map.

The throttle on the joystick on the joystick is used to control the Master Volume Knob .

The joystick button and axis assignments can be changed in the Options panel.


Using the Keyboard with jambient

jambient is designed to be played primarily using the mouse and joystick. You can, however, use the keyboard to control your looptracks. The following key strokes and modifiers are used by jambient:

Pressing a key from A to P is equivalent to clicking on the Play Button for LoopTracks A to P

Pressing the Z key is equivalent to clicking on the Play Button in the Gang

Hold down Alt while pressing A-P or Z to switch fade the LoopTrack or the Gang

Hold down Shift while pressing A-P or Z to fade up the LoopTrack or the Gang

Hold down Ctrl while pressing A-P or Z to fade down the LoopTrack or the Gang


Saving and Opening jam Files

Basic Idea

jambient lets you save elements in jam files and open them at a later time. Jam files have the extension ".jam". You can quickly open jam files using the Quickload List. Jambient also lets you save Snapshots; and it lets you Package your jam files together with your samples, so that you can distribute them easily.

A powerful but subtle feature of jambient is that let it lets you filter the elements to be saved or opened:

  • You can, e.g., open just the samples from a previous jam into a current jam, dropping them into LoopTracks with very different pitch or volume settings.
  • Or you can save just the positions of LoopTracks and then drop them on top of current LoopTracks, for example, snapping them into a circular layout.
  • In short, you can quickly lay in a set of volume setting, pitch, sample settings, etc. If you are familiar with macros in word processor, this is somewhat similar.

Think of Elements to Save and Elements to Open as filters that specify what parts of the jam to save or open.

You can also save just the contents of the Clipboard, to use the Clipboard as a palette of LoopTracks across sessions.

Finally, you can save your start up preferences (folders to browse, device to play to, 3d enabled, etc.) in "preferences.jam." When jambient starts, it looks for this file in the directory where jambient.exe resides, and loads it if found. See Setting Preferences .

When you save or open, jambient uses the directory in which you've save or loaded as the default directory for subsequent file operations, including Snapshots. It is a good idea to organize your jam files, Snapshots and Scripts into directories for related performances.

Saving a Jam file

Click on the Save/Open button.

In the Elements to Save list, toggle the highlight of the Elements of the jam that you want to save by clicking on them. Use the drop down below the list to quickly select common sets of elements. (See below for more on Jam Elements).

Check "Only Save Selected Loops" to save information only for the the LoopTracks that are Selected.

The name of the current jam file is specified in the title of the Save/Open dialogue. If you want to save again under this name, click on the Save button.

If you want to save under a new name, or if there is no current jam file, click on the Save As button. A standard dialogue lets you specify the name of the file. You can also use the Save As button to package your jam file (see Packaging for more details.)

Opening a jam file

Click on the Save/Open button.

In the Elements to Open list, , toggle the highlight of the Elements of the jam that you want to save by clicking on them. Use the drop down below the list to quickly select common sets of elements. (See below for more on Jam Elements).

The name of the current jam file is specified in the title of the Save/Open dialogue. If you want to reload that file, click on the Reload button. If you want to open a different file, click the Open button.

When jambient opens a jam file, it also retrieves the Elements to Save settings that were used to store the file.

How jambient loads LoopTracks: When jambient loads LoopTracks from jam files, it normally drops them in over top of the current LoopTracks. Say you have samples playing in LoopTrack A and C, but B is empty, and you load from a jam file that just has a LoopTrack for B. A and C keep on playing. If you want A and C to be emptied, check the Empty Blank Loops on open--if a LoopTrack is blank in the jam file, it will be emptied in your jam.

The Jam Elements of a LoopTrack, and How Jambient Stores LoopTrack:

Jam elements are saved together with the letter of their LoopTrack and are loaded back into the LoopTrack of that letter.

For example, if you selected LoopTracks M to P, and saved selected LoopTracks only, the LoopTrack elements that were saved will be loaded back into LoopTracks M to P.

To save a LoopTrack independent of a lettered slot, copy it to the Clipboard, and save the clipboard. When you open your saved Clipboard, drag the LoopTrack from the Clipboard into the LoopTrack panel.

jambient breaks LoopTracks down into the following elements, which are mostly self-explanatory:

  • Sample, Play Mode, Thinnable . These are stored as one element
  • Play State. Stores whether or not the LoopTrack is playing. If a LoopTrack was playing when saved (and you stored this element and are opening it) then the LoopTrack will start playing automatically
  • Pitch
  • Pitch Pattern
  • Volume
  • Volume Pattern
  • Pan
  • Pan Pattern
  • 3d Position
  • Wiring

General Jam Elements:

jambient lets you store other general elements:

  • Bands. The layout of your bands and whether they are block or wedge bands
  • Browse Folders & Destinations The folders for each of the Sample Bins and the Destinations for the sample bins
  • ClipBoard The contents of the clipboard. When opened, the contents are added to the current clipboard
  • History Lists Saves the history lists of each of the LoopTracks (see Popup and Palette). The history list for the Gang is not saved. When opened, replaces the current content of history lists.
  • General settings This saves all the options in the option tab, the joystick relative settings for the 3d Map and MixPad, all other settings for the MixPad and 3d Map (except for 3d enabled), and the number in the Thinner. It also records which tab is open.
  • 3d Enabled Saves whether 3d is enabled.


Packaging Jams

[Graphic]

How packaging works

Regular jam files (saved with the extension ".jam") refer to the samples on your hard drive, and to the folders in which your samples are located, so if you give a .jam file to someone else, they won't be able to use it unless they have the same samples in the same locations.

To help you share your jams with others, jambient provides a packaging function. Packaging works in almost exactly the same way as saving (all the elements to save and options settings work in the same way), except a package file is saved with the extension ".jmp", and when you package a jam, all the samples used in your jam are copied into the same directory as the ".jmp" file.

When you ask jambient to open a ".jmp" file, jambient ignores folder names and looks for samples in the same directory as the ".jmp" file. It also ignores any information about browse folders stored in the file.

Example: you are using F:\animals\cat.wav and F:\machine\clock.wav in your jam; you package your jam to C:\packages\coolcat.jmp; jambient copies cat.wav and clock.wav into C:\packages. You send coolcat.jmp and your wave files to your friend, who puts all the files in D:\nifty on their machine; when your friend opens D:\nifty\coolcat.jmp, jambient looks for clock.wav and cat.wav in D:\nifty.

Using jambient to Make a Package

To make a package, simply choose the jambient Package (*.jmp) file type in the drop down at the bottom of the Save As file dialogue. Note that when you click on the save button in the Saving and Open Dialogue, or take a Snapshot, a regular .jam file is saved.

Manual Packaging

The only difference between a package file and a regular .jam file is the extension. So if you want, you can dump a whole set of samples that you use into one directory, together with the .jam files that use those samples, and manually change the extension of the .jam files to .jmp. When jambient opens the .jmp it will look for the samples in the same directory as the .jmp file.


Performance Issues

If you run into noticable performance problems, try the following:

  1. Scripts are the most processor intensive part of jambient. If you are using them, try making them as simple as possible. If you are using event handlers, go to the Scripts subtab of the Options tab, and set jambient to update scripts less frequently. Or disable event handlers. See Scripting.
  2. 3d sound placement is also processor intensive, especially if your sound card does not handle 3d in hardware. In this case your main processor has to do all the 3d calculations. So try turning off 3d, or get a sound card that supports 3d, if you want to use it but your main processor can't handle it.
  3. Use smaller samples. If your sound card supports DirectX Sound, then it can handle sound processing in hardware--but only if the samples fit in its onboard memory.
  4. Load samples onto your hard drive--they will load much faster from there than from CD.
  5. You can also try turning down the timer resolution in the Options tab.
Also see: Requirements


Implementation and Configuration of 3d Sound

jambient uses Microsoft's DirectX 7 DirectSound to generate 3d Sound. For details on their algorithms, see the Microsoft site.

Basically, DirectSound positions sounds in 3d space by simulating the differences in volume and relative arrival time between left and right sound signals.

It also takes into account the way that your head distorts sounds, thus producing differences between the signal at the left and right ears. Obviously, if you are listening through speakers, your head actually distorts sounds arriving from the speakers, but this doesn't happen if you are using headphones.

It is therefore crucial to tell DirectSound whether you are using speakers or headphones, and to tell DirectSound how your speakers are configured. Do this through the Audio tab of the MultiMedia control panel applet. In Windows 98, click the Advanced Properties panel. Presumably if someone is ever going to listen to your jam without headphones, you should set you speaker configuration to one of the non-headphone options.

Some soundcards have built in hardware for producing 3d effects. DirectX will do 3d processing in hardware if it detects such a card, otherwise it will do the calculations using your CPU, which incurs a performance hit. Make sure your DirectX driver is up to date.

Currently jambient only supports playback on two audio channels. When Microsoft releases DirectX 8, we plan to take advantage of new features that will allow jambient to support 3d rendering through quad channels. This means that you will be able to move sounds between front and back speakers. The DirectX 8 will also take advantage of Creative Labs EAX standard, as will jambient.


Wave Sample Format

jambient can read wave files encoded in PCM format. It supports stereo or mono samples, at any of the standard sample rates and bits per sample settings. If you are planning to make heavy use of your samples with jambient's 3d spatialization feature, you should convert them to mono to improve performance, since DirectSound needs to convert stereo samples back to mono before rendering them in 3d. Some wave files are not encoded using PCM, and jambient cannot read them.

You can convert these files to PCM using an editor such as WaveLab, or one that comes with your sound card. However, if you are doing a lot of converting, wWe recommend AWave Audio from FMJ-Software --this product lets you get down to the nitty gritty of audio file coding and do batch conversions. They also sell AWave ACDR, which lets you rip and convert audio from CDs in one step.


Setting Preferences

[Graphic]

When jambient starts, it looks for the file "preferences.jam" in the directory where "jambient.exe" is located.

If it finds this file, it loads it. You can use this file to store as many or as few preferences as you like, for example, general settings (output device, joystick, mouse, 3d and scriping options), wiring, bands, browser directories, etc. See Saving and Opening for more on jam files.

You can take "preferences.jam" with you if you are playing on a different machine.


Dialing Knobs and Values

The values of the Volume, Pitch and Pan Knobs, as well as other controls are adjusted by Dialing. Dialing can be either horizontal or vertical, depending on the control.

A plus and minus sign appear beside the mouse cursor when it is over a control that can be dialed. Drag in the + direction to increase the value, in the - direction to decrease the value.

Horizontal Dialing

Drag left from the control to decrease the value, right to increase the value.

Vertical Dialing

Drag down from the control to decrease the value, up to increase the value.

Fine Dialing

Make fine adjustments to the Volume, Pitch and Pan knobs by clicking and dragging with the secondary mouse button. Some other controls let you do this too--check the status bar help.

Changing the axis of Volume, Pitch and Pan Knobs

By default, the Volume, Pitch and Pan Knobs dial horizontally. To change this go to the mouse subtab of the Option Tab, and choose the axis from the drop down.


LoopTracks and Samples

LoopTracks are containers, samples are content. jambient supports wave file samples, in PCM format. The most fundamental operation in jambient is loading samples into LoopTracks.

LoopTracks have a set of controls that let you do things with LoopTracks, such as playing and stopping, changing pitch and volume, copying, etc.

The Gang is a special LoopTrack that has no sample, just controls. It is used to control other LoopTracks.


Browser Map

[Graphic with labels and links to controls AND labelling of what you can do with the control]


Bin Tabs

Click on Bin Tabs to work with different sets of Sample Bins.

See: Loading Samples Using the Browser Window


Folder Button

Clicking the Folder Button opens the Folder Explorer pane. Clicking in an empty Sample Bin also opens the Folder Explorer. Drag a folder from the Folder Explorer and drop on a sample bin to list the samples in the folder.

See: Loading Samples Using the Browser Window


Folder Explorer

The Folder Explorer lets you explore folders on your file system.

Drag folders from the explorer to fill the Sample Bins with samples.

Right click on the Folder Explorer to close it.

See: Loading Samples Using the Browser Window


Sample Bins

Sample Bins list samples stored in folders on your computer, giving you a pallet of sounds to quickly load into LoopTracks. (Sample Bins also list shortcuts to samples.)

When the cursor displays a little wave symbol, dragging from the Sample Bin to a LoopTrack loads the sample into the LoopTrack. Otherwise, clicking on the sample loads it into the destination LoopTrack listed in the drop down below the Sample Bin.

The Destination Drop Down determines these behaviours. For more details, see Loading Samples Using the Browser Window.


Destination Drop Down

The Destination Drop Down determines whether loading samples from bins uses drag and drop, and if not, what LoopTrack the sample is loaded into. Select Distribute (All) to set the Destination of Sample Bin 1 to A, of 2 to B, and so on. Select Drg Drop (All) to set all Sample Bins to use drag and drop.

You can also use the Dropper to quickly set the Destination of a Sample Bin -- drag from a LoopTrack's Letter and drop onto a sample bin, to set the destination to the LoopTrack.

See: Loading Samples Using the Browser Window


Auto Play Checkbox

If a Sample Bin's Auto Play is checked, then loading a sample from the bin into a LoopTrack causes that sample to play.

See: Loading Samples Using the Browser Window


Clipboard

Basic Idea

The Clipboard, the fourth tab in the Browser window, is used to store and reload the state of LoopTracks--the sample that is being played, together with all settings, including Play Mode, 3d Position and Patterns. Use the Clipboard to capture pleasing settings for your samples and build up a pallete of LoopTracks that you can drop into your jam. You can save clipboards in jam files.

Storing a LoopTrack in the Clipboard

Drag from the copier button of the LoopTrack and drop onto a Sample Bin or onto the Clipboard in the Clipboard tab. LoopTracks are listed by sample name; if you have more than one LoopTrack with a given sample, jambient adds a number before the sample name to differentiate the clips.

Loading a LoopTrack from the Clipboard

Drag from the Clipboard and drop onto a LoopTrack in the main LoopTrack Panel to reload all elements of the LoopTrack.

Right drag from the Clipboard and drop onto a LoopTrack to reload selected elements of the LoopTrack. Select which elements to reload using the checkboxes below the Clipboard.

Removing a LoopTrack from the Clipboard

Drag from the Clipboard and drop on the trash icon to remove a LoopTrack from the Clipboard.

Saving the Clipboard in a jam File and Loading Clipboards from files.

You can save the contents of the Clipboard together with your jam, or you can set up jam files that just contain Clipboards. That way you can save palettes of LoopTracks to use in your mixes.

When you open open a jam file that contains a Clipboard, and you have Elements to Open set to open Clipboards, the saved Clipboard is added to the current clipboard.


LoopTrack Panel

The LoopTrack Panel contains the controls for all the LoopTracks in jambient (except the gang).


Selecting LoopTracks

LoopTrack A is selected, LoopTrack B is not selected.

Selected LoopTracks can be controlled by the Gang.

Selecting in the LoopTrack Panel

To select LoopTrack(s), start draggin from the Selector area to the left of a LoopTrack Letter . Whatever LoopTracks you drag over will be selected.

To select a range of LoopTracks, drag straight down or up over selectors, or skip out to the left to jump over LoopTracks. To select just one LoopTrack, click and release.

Unselecting LoopTrack(s) works the same way, using the right button.

Selecting using the Group Selector in the Gang Panel

Click on the Group Selector to pop open a list that helps you select loops by group. If you want to abandon the operation, click on <Close>.


LoopTrack Letters

LoopTracks are identified by letter. The Letter displayed in a LoopTrack is also a control.

Double click on the Letter to toggle the LoopTrack from thinnable to unthinnable.

Right drag and drop on another LoopTrack to fade down the source of the drag and fade up the target of the drop. See Cross Fading for more.

Drag and drop on a control in another LoopTrack to copy the value of the target control into the source LoopTrack. For more, see Dropper.

Also see: Doing Things with LoopTracks


Play Mode Dial

[Graphic]

Dial to set the Play Mode. Right click on the Play Mode dial to jump to the beginning of the sample.

[Graphics for play modes in line with text]

One Shot: in one shot mode, the sample plays once and then stops until you start it again. (Of course you can stop it midway.)

Loop: in loop mode, the sample is played in a continuous loop until you stop it.

Step and Drum mode use Patterns to changes volume, pitch and pan over time

Step: in step mode, the sample plays in a continuous loop while jambient steps through volume, ptich and pan patterns. The underlying sample plays continuously, but the patterns can mute the loop, change its volume, shift its pitch up or down, or pan it back and forth.

Drum: this play mode is like a drum machine. Jambient steps through volume, frequency and pan patterns, as in Step mode, but it also jumps back to the start of the sample at each step. You can use this mode to play your sample to a beat. You can also specify where the sample begins playing. See the entries on timing factors in Patterns.

Note: changes to the Gang are transmitted to all LoopTracks controlled by the Gang. Changes to the master LoopTrack in a blocked Band are transmitted to all LoopTracks in the Band.

Also see: Doing Things with LoopTracks


Play Button

Click on the Play Button to stop or start a LoopTrack. Hold down the right button to pause the loop, and relase to unpause. (Stopping returns the LoopTrack to the beginning of the sample, pausing does not.)

If the Play Button has a red dot in its centre, then the LoopTrack is not thinnable . To toggle a loop from thinnable to unthinnable, double click on the LoopTrack's letter.

Note: changes to the Gang are transmitted to all LoopTracks controlled by the Gang. Changes to the master LoopTrack in a blocked Band are transmitted to all LoopTracks in the Band. (This doesn't apply to thinnable/unthinnable.)

Also see: Doing Things with LoopTracks


Volume Slider

The Volume Slider displays the name of the sample (the full name is shown in the status bar when the mouse is over the slider). The Volume Slider is also used to control volume:

Drag the top pointer to set the LoopTrack's volume. Or click in the top half of the slider to jump to that volume level.

Drag the bottom pointer and release to fade to that level. Or click in the bottom half of the slider to jump the pointer and fade to that level.

Right click on the slider to switch fade.

Note: changes to the Gang are transmitted to all LoopTracks controlled by the Gang. Changes to the master LoopTrack in a blocked Band are transmitted to all LoopTracks in the Band.

Also see: Doing Things with LoopTracks


Volume Knob

Flash Tutorial on Setting Volume Levels

Dial the Volume Knob to set volume. 0 is minum volume, 500 maximum.The value is displayed in the status bar.

Right dial to make finer adjustments.

Double clicking sets volume to minimum if it is higher than 0, or maximum if it is 0.

There is also a Master Volume Knob in the Master Panel.

Note: changes to the Gang are transmitted to all LoopTracks controlled by the Gang. Changes to the master LoopTrack in a blocked Band are transmitted to all LoopTracks in the Band.

Also see: Doing Things with LoopTracks


Pitch Knob

Dial the Pitch Knob to set pitch. Pitch is measured as a percentage of the original pitch of the sample. Changes to pitch are made by speeding up or slowing down playback. Wiggle the pitch to do something like scratching. Pitch runs from 1% to 400%. The value is displayed in the status bar.

Right dial to make finer adjustments.

Double clicking sets pitch to 100%, i.e., to normal play back speed.

Note: changes to the Gang are transmitted to all LoopTracks controlled by the Gang. Changes to the master LoopTrack in a blocked Band are transmitted to all LoopTracks in the Band.

Also see: Doing Things with LoopTracks


Pan Knob

Note: Panning is disabled if 3d Mode is enabled.

Dial the Pan Knob to set pan. -500 is pan full left, 0 is centred, 500 pan full right. The value is displayed in the status bar.

Right dial to make finer adjustments.

Double clicking centres the pan.

Note: changes to the Gang are transmitted to all LoopTracks controlled by the Gang. Changes to the master LoopTrack in a blocked Band are transmitted to all LoopTracks in the Band.

Also see: Doing Things with LoopTracks


Wires

The Wire at the end of a LoopTrack connects the LoopTrack to a corner terminal of the Mix Pad . LoopTracks are mixed on the basis of the terminal that they are wired to. There are four wires, coded by symbol: white, white-black, black-white, black.

They are wired to the Terminals in the corner of the MixPad:

Wiring

Dialing on a wire symbol dials through the four wires.

Clicking on the left or right half of the wire symbol flips the colour on that half. Flipping the left half wires the LoopTrack to the diagonally opposite corner. Flipping the right half wires the LoopTrack to the horizontally opposite corner.

Right clicking disables or enables the wire. Disabled wires have a little hole punched in their middle, and the signal from the LoopTrack bypasses and is unaffected by the Mix Pad. You can still dial or click to change the wire symbol, but it won't have an effect until you enable the wire.

Wiring sets

You can also choose from preset wiring patterns using the Wire Sets drop down in the Mix Pad. The options in the drop down describe the patterns that are set. [graphic]


Thumbing LoopTracks

The top LoopTrack is Thumbed.

Click to the right of a LoopTrack's Wire to Thumb the LoopTrack. When the Pattern Tab is open, thumbing opens the LoopTrack's pattern so that you can edit it. When the 3d Map is open, thumbing pops the LoopTrack's Position marker to the front, and changes its colour so that you can spot it easily.

Double click to the right of a LoopTrack's Wire to open the Pattern Tab and Thumb to the LoopTrack's pattern.


Master Panel

[Graphic with labels and links to controls AND labelling of what you can do with the control]

The Master Panel contains the Gang as well as other global controls. You can shrink jambient to display just the Master Panel.


Master Volume Knob

The Master Volume Knob, in the Master Panel, affects the ouput of all LoopTracks. Turn it down all the way to mute jambient, set it to full to let LoopTracks play at full volume.

If you have a joystick attached, by default the throttle controls Master Volume--full throttle turns it all the way up, no throttle mutes. When a joystick is controlling the Master Volume, you cannot control it with the mouse, unless you select "None" for the axis that controls Master Volume. (To choose how the joystick controls Master Volume, see Options.)

If you have no joystick, or the joystick options are set so that the Master Volume Knob is not under joystick control, the Master Volume Knob is dialled just like other Volume Knobs.


Play All/ Stop All Button

Click on the green side of this button to play all LoopTracks, or on the red side to stop all Loop Tracks.


Group Selector

The Group Selector helps you select LoopTracks to to be controlled by the Gang.

Click on the popup to see a dropdown list of different groups. The items in the list are mostly self-explanatory. For example, clicking on Playing selects all the LoopTracks that are playing. Toggle switches the selection state of all LoopTracks.


Browser Button

Click on this button to open the sample Browser Window, if you have closed it.


Snapshots

Using Snapshots

Snapshots let you instantly save the current elements of your jam so that you can go back to them later, or review and build them into a library after your performance. Snapshots sacrifice some of the control available in the Save and Open dialogue for speed.

Taking a Snapshot

Click on the Snapshot camera button. The camera flashes to indicate that a snapshot has been taken.

The Snapshot contains all the elements of your jam (see Saving and Opening).

The name of the Snapshot file is composed of the Session Name, together with the time into the session. On start up jambient sets the Session Name to today's date. You can set it to something else in the Save/Open dialogue. Snapshot files are saved in the current directory, which is the directory in which you last saved or opened a file, or directory in which jambient.exe resides, if you haven't yet saved or opened a file.

Open a Snapshot file as you would any other file. You can access them quickly during a jam using the Quickload list.


Quickload List

The Quickload list gives you quick access to the files in the current directory (which is the directory in which you last saved or opened a file, or directory in which jambient.exe resides, if you haven't yet saved or opened a file).

Click on Quickload popup, beside the Snapshot camera . A list of files appears. Click on a file to load it, or <Close> to abandon the operation.

Quickload opens files using the current Elements to Open settings in the Save/Open dialogue.


Scripting

Basic Idea

Scripting lets you extend jambient by programming scripts that do things at certain times or that respond to events in the user interface, such as changes to knobs or to the position of LoopTracks. Your scripts can automate many parts of jambient, from pitches, to LoopTrack positions, to the Blender on the Mix Pad, to opening and saving jam files.

For full details of the scripting language, see jambientscript.htm.

Using Scripts

To use a script, open the Scripting Window by clicking on the Script Button. Click on Open in the menu, and choose a script file. Try "ExampleScript.jms," which ships with jambient.

jambient loads the script, interprets the code, and builds whatever user interface is specified in the script. (Scripts can add buttons, checkboxes, sliders and dropdowns to the Scripting Window.) Once a script is loaded, you can interact with it through the controls it has created, although scripts don't need to define controls--a script might just get LoopTrack A to dodge LoopTrack C when you move them around in the 3d Map. You'll have to refer to the documentation provided within the scripts to see how to use them.

"ExampleScript.jms" contains scripts for making LoopTrack positions move in mirror directions, making LoopTrack positions follow the position of a Master LoopTrack in a block band (like a flying wedge), and a script for making the mix blender orbit the mix pad. Check them out, and send us new ones.

Disabling Events and Script Options

Scripts can respond to events such as changes to knobs, for example by propagating changes to other knobs. If you want to stop these behaviours, click on the events menu and uncheck the events that correspond to the behaviour you want to disable. For example, unchecking OnPitchScroll disables events that change something as you move pitch knobs, unchecking OnPanChange disables events that do something when you finish changing a pan knob (i.e., release the mouse button).

Running scripts can be CPU intensive. If you are getting performance hits, try moving the frequency update sliders on scripts subtab in the Options Tab to the right. jambient will call the scripts events handlers less frequently, cutting down on CPU load. If that doesn't work, either hack out the boggy parts of the script, or disable events, or close the script window.

Developing Scripts

See jambientscript.htm for full details about jambient script, which extends Microsoft's VBScript by adding an object, called jam, that is an interface to the jambient engine. It also defines protocols for interaction between subroutines and jambient, and protocols for having scripts build a user interface in jambient.

Developing scripts is a matter of writing and testing them. jambient reports errors by line and column number in your script, so you'll need an editor that can give you these numbers. ConTEXT is a freeware editor that isn't bad and that can highlight VBScript syntax. Use the reload command in the menu to reload your script after you have corrected an error and resaved the script.


Minimize Toggle

Click on this button to shrink jambient to display the Master Panel only, or to display all of the main window and show the browser window--the normal view.

When in minimized mode, jambient floats above all other windows. It is like a remote control for jambient. You can use the Gang to control your LoopTracks. The joystick still works.


Fade Speed Slider

Use this slider to control the speed of your fades. Move to the left for slower fades, to the right for quicker fades. Adjustments to the slider effect all current and subsequent fades.


Mix Pad Tab

The Mix Pad tab contains the Mix Pad and the Twist, which together let you mix four channels of sound in two sonic dimensions (volume, pitch, or pan).


The Twist

[Graphic]

The Twist is essentially a one dimensional version of the Mix Pad, so before reading this topic you should become familiar with the Mix Pad. The Twist can also be used with the 3d Map . (To use the Twist you need to have a joystick with a third axis.)

Mixing on the Twist

In the Twist, the distance between Twist Blender and the ends of the Twist determines how the signals at the ends of the Twist are mixed. As you move toward an end of the Twist you get more volume from both signals coming in that end of the Twist (or lower pitch, or more left pan, depending on what you are mixing). At the same time, the opposite effect happens to the volume, pitch or pan of the two signalsat the other end of the Twist. The Mix Pad lets you mix four different signals, the Twist mixes two sets of two signals.

The Twist and DJ's Cross Faders

The Twist acts much like a DJ's cross fader on the two sets of two signals, except you can mix pitch or pan, not just volume.

Choosing the Sonic Dimension to be Mixed

Each Mix Pad Type has an associated Twist type. For example, by default, when the Mix Pad is mixing volume, the Twist mixes 300 Pitch. To flip through Twist types, click joystick button five. The colour of the Twist changes so that you can easily see what dimension you are mixing.(Blue for volume, grey for pan, orange for 300 pitch, yellow for 400 pitch. On the 3d Map , there is also a Twist for rotating the Listener, which is dark green.)

The Centre Position

The centre of the Twist is a neutral position that leaves the volume, pitch or pan of all signals unchanged. Click on joystick button two to centre the Twist. (Note: If you change the Mixing Curve, the centre might not be neutral.)

Using the Joystick to Control the Twist

(The following assumes default button and axis assignments, which can be changed in the Options tab.)

To move the Twist Blender, depress the joystick trigger andt twist the handle. Release the trigger to leave the Blender in its position. Depress the trigger and twist to move the Blender again. Twisting motion is absolute. Each twist amount corresponds to a Blender position.

By default, joystick button two centres the Twist Blender.

To change the sensitivity of the twist, or change button or axis assignments, use the Options tab.


Options Tab

[Graphic]

Use the Options Tab and its subtabs to configure the way jambient works. Options are saved in the General Settings element of jam files, see Saving and Opening . Options are described below.

Audio Device: Use this dropdown to select the device that jambient will use for output. If Primary Sound Driver is selected, then jambient outputs to the device selected for output in the Audio tab of the MultiMedia Applet in the Control Panel. If you have multiple sound cards, then you can select the one you want to use for output. You can also output to a Virtual Audio Cable. Changing the Audio Device causes jambient to stop and reload all your LoopTracks.

Reset On Load:If this option is checked, then jambient resets all LoopTrack values to their defaults when a sample is loaded.

Joystick subtab:This subtab lets you assign buttons and axes to various joystick functions. The button numbers and axis names in the drop downs will vary depending on your joystick. To disable a function, select "none" from the drop down. This is especially useful if you want to control the Master Volume Knob with the mouse--mouse control of this knob is disabled if you have a joystick attached and have assigned an axis to it.

The sliders at the bottom let you set the sensivity of the joystick. There are separate sensitivity settings for absolute and relative joystick movements, and for the Twist. For more on the joystick see 3d Map, Mix Pad and Twist

Mouse subtab: The drop down on this subtab lets you specify whether the Volume Knob, Pitch Knob and Pan Knob are dialled with horizontal or vertical drags.

3d subtab: Updating the positions of LoopTracks and the Listener in the 3d Map can be processor intensive, especially if your sound card doesn't support 3d rendering in hardware. Use the checkboxes on this tab to specify whether jambient updates the position of LoopTracks, the position of the Listener and the rotation of the Listener while they are moving(check the box, in which case jambient constantly updates these values as you move or rotate objects), or only when you have finished moving (uncheck the box, in which case the update occurs only when you have released the mouse button).

Scripts subtab: Scripts can be programmed to respond to events in the user interface, for example, to change values each time a Pitch Knob or LoopTrack Position is adjusted. This can be processor intensive. To make jambient call these events in scripts less frequently, using less CPU, move the sliders to the right; to get smoother, but more CPU intensive, response, move the sliders to the right. There are separate sliders for LoopTrack position events, and volume, pitch and pan knob events.

Timing subtab: The slider on this subtab lets you specify the resolution for timing LoopTrack patterns. Follow the directions on the tab. Turn down the resolution to use less CPU.


CrossFading

[Graphic]

Click on the Play Button to stop or start a LoopTrack. Hold down the right button to pause the loop.

If the Play Button has a red dot in its centre, then the LoopTrack is not thinnable. To toggle the dot, double click on the LoopTrack's letter.

Note: changes to the Gang are transmitted to all LoopTracks controlled by the Gang. Changes to the master LoopTrack in a blocked Band are transmitted to all LoopTracks in the Band.


Interface Map

[Graphic of entire interface, with main regions labelled and linked to table of contents for interface explorer]


Mixing Curves and the Technical Guts of the Mix Pad

Use the Mix Curve dropdown [graphic] to select the mixing curve. Basically, mixing curves change the way the Mix Pad maps the distance between the Blender and the terminals onto changes in volume, pitch and pan.

The material below gives further explanation of the Mix Pad and Mixing Curves. You should get a fell for how the Mix Pad works before reading this. This is the most complex piece of documentation, and if you can hear what is going on, you needn't bother with it.

How jambient Calculates the Mix

The Mix Pad mixes four different signals, coming through the four corner terminals. You set the mix by moving the Mix Blender between the terminals. The steps for calculating the mix are as follows:

Jambient calculates the distance between the Blender and each of the corner terminals of the Mix Pad.

For each of these distances, jambient does the following to calculate what to do with the signal at the corresponding corner terminal:

  • Calculate a fade value by mapping the distance onto a fade curve. In the Fade after Centre curve, all distances between the terminal and the centre of the diagonal of the pad map onto a fade value of "full on," and distances after that map onto a fade value that drops from 1 to 0 in a linear fashion. The Fade after Side Centre curve is similar, except values begin to drop from 1 to 0 after the centre of the side of the mix pad. In the Fade Diagonal curve, fade values drop from 1 to 0 in a linear fashion across full distance of the diagonal.

  • Map the fade value onto a modifier for volume, pitch or pan. If the fade value is "full on" then the modifier for volume, pitch or pan will leave them unchanged.

Otherwise

volume is mapped so that at fade value 1 the modifier will give full volume, at 0 it will give no volume;

pan is mapped so that at fade value 1 the modifier will push pan 500 clicks to the left, at 0.5 it will not change pan, at 0 it will push pan 500 clicks to the right;

pitch is mapped so that at fade value 1 pitch is dropped to minimum, at 0 it is pushed up by the maximum amount (300 or 400%, depending on the mix pad type)--but jambient skews the scale so that 0-100% pitch always maps onto fade value 1 to 0.5, so that 100% pitch is at the diagonal centre, which allows the centre to be the neutral position.

The volume, pitch or pan modifiers are used to modify the values specified by volume, pitch and pan knobs.

Visualizing Fade Curves

The icons in the Mix Curve drop down are meant to visualize the fade curves in the following way:

You can think of the fade curves as describing circular regions in which certain values hold. Consider the white terminal. In the Fade after Centre curve, when the mix blender is within a circle whose centre is the white terminal's corner, and that goes through the diagonal centre of the square, then the white terminal will be "full on". If you move further away, then values start dropping.

Similarly for the Fade after Side Centre Curve, except the "full on" circle goes through the centre of a side of the Mix Pad.

You can see that these two curves define different areas where the "full on" circles of the four terminals overlap--in the Fade after Centre curve, they overlap in the centre of the Mix Pad, and overlap in middle portion of each side, in the Fade after Side Centre they don't overlap in the centre, and just touch on the centres of the sides. This is important because when the Mix Blender is in a "full on" region, the signal from the correponding terminal is unchanged.

How jambient Calculates the Twist

Calculation of the Twist is almost exactly the same as calculation of the mix pad, except that distances are calculated along one dimensional line between the ends of the twist, rather than distances from corners. So the distance from the white and black terminals will always be the same, and signals on these terminal will be effected in the same way.


Zoon

Zoon has nothing to do with jambient, although Aristotle argues that what is distinctive about human beings is that we are zoon logon, animals who talk and are in general gregarious (Politics I.1, 1253a), and jambient is meant to contribute to that.

The real reason this entry is in, is that the help editor crashes when you insert a hyperlink from the last topic. Hence this dummy last topic, which is not hyperlinked. How you found it, we don't know.